## org.gnu.gtk
Class ItemFactory

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.ItemFactory

Deprecated. 2.3

public class ItemFactory
extends GtkObject

Old class replaced by `UIManager`. This class is provided for compatibility only - it will be removed in future releases of java-gnome. Do not use in new code.

Constructor Summary
`ItemFactory(Type containerType, java.lang.String path, AccelGroup accelGroup)` Deprecated. Create a new ItemFactory object.

Method Summary
`void` `createItem(ItemFactoryEntry entry)` Deprecated. Create an item for entry.
`void` `createItems(ItemFactoryEntry[] entries)` Deprecated. Create the items from the entries.
`void` `deleteEntries(ItemFactoryEntry[] entries)` Deprecated. Delete the menu items which were created from the entries by the item factory.
`void` `deleteEntry(ItemFactoryEntry entry)` Deprecated. Delete the menu item that was created from entry by the item factory.
`void` `deleteItem(java.lang.String path)` Deprecated. Delete the menu item that was created for path by the item factory.
`static ItemFactory` `fromWidget(Widget widget)` Deprecated. Obtain the item factory from which a widget was created.
`Widget` `getItem(java.lang.String path)` Deprecated. Obtain the menu item that corresponds to path.
`static Type` `getType()` Deprecated. Retrieve the runtime type used by the GLib library.
`Widget` `getWidget(java.lang.String path)` Deprecated. Obtain the widget that corresponds to path.
`void` `popup(int x, int y, int mouseButton)` Deprecated. Pops up the menu constructed with the item factory.

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemFactory

    public ItemFactory(Type containerType,
                       java.lang.String path,
                       AccelGroup accelGroup)

  Deprecated.
  Create a new ItemFactory object.

Parameters:
  `containerType` - The type of menu to create. It can be a MenuBar, a Menu, or an OptionMenu.
  `path` - The factory path of the new item factory, a string of the form "<name>".
  `accelGroup` - A AccelGroup to which the accelerators to the menu items will be added, or null to create a new one.

Method Detail

### fromWidget

    public static ItemFactory fromWidget(Widget widget)

  Deprecated.
  Obtain the item factory from which a widget was created.

  Parameters:
    `widget` - The widget to use for the search.

### createItem

    public void createItem(ItemFactoryEntry entry)

  Deprecated.
  Create an item for entry.

  Parameters:
    `entry` - The IconFactoryEntry to create an item for.

### createItems

    public void createItems(ItemFactoryEntry[] entries)

  Deprecated.
  Create the items from the entries.

  Parameters:
    `entries` - An array of IconFactoryEntry objects that describe the menus to be created.

### deleteItem

    public void deleteItem(java.lang.String path)

  Deprecated.
  Delete the menu item that was created for path by the item factory.

  Parameters:
    `path` - The path to the item to delete.

### deleteEntry

    public void deleteEntry(ItemFactoryEntry entry)

  Deprecated.
  Delete the menu item that was created from entry by the item factory.

  Parameters:
    `entry` - The Entry to delete.

### deleteEntries

    public void deleteEntries(ItemFactoryEntry[] entries)

  Deprecated.
  Delete the menu items which were created from the entries by the item factory.

  Parameters:
    `entries` - The entries to delete.

### getItem

    public Widget getItem(java.lang.String path)

  Deprecated.
  Obtain the menu item that corresponds to path.

  Parameters:
    `path` - The path to the menu item.
  Returns:
    The menu item for the given path or null if path doesn't exist.

### getWidget

    public Widget getWidget(java.lang.String path)

  Deprecated.
  Obtain the widget that corresponds to path.

  Parameters:
    `path` - The path to the widget
  Returns:
    The widget for the given path or null if path doesn't exist.

### popup

    public void popup(int x,
                      int y,
                      int mouseButton)

  Deprecated.
  Pops up the menu constructed with the item factory.

  Parameters:
    `x` - The x coordinate for the popup menu
    `y` - The y coordinate for the popup menu
    `mouseButton` - The mouse button which was pressed. These values are defined in `MouseEvent`.

### getType

    public static Type getType()

  Deprecated.
  Retrieve the runtime type used by the GLib library.